#{extends 'borderNG.html' /}
#{set 'titleHead'}
    Pilih PPK
#{/set}

<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paket.daftar'} </a>
        <li><a href="@{nonlelang.PaketPlCtr.edit(paket.pkt_id)}">&{'paket.edit_paket'} </a>
        <li class="active">&{'paket.pilih_ppk'}</li>
    </ol>
<table class="table table-sm table-bordered">
   <tr>
        <th class="bgwarning" width="20%">Kode RUP</th>
        <th>${paket?.kodeRup}</th>
    </tr>
     <tr>
        <th class="bgwarning">K/L/PD<span class="warning"> *</span></th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bgwarning">Satuan Kerja<span class="warning"> *</span></th>
        <td>${paket?.namaSatker}</td>
    </tr>
   <tr>
       <th class="bgwarning" width="200">Nama Paket</th>
       <td>${paket.pkt_nama}</td>
   </tr>
</table>
<div class="card card-default">
    <div class="card-header">Filter PPK</div>
    <div class="card-body">
        #{form @nonlelang.PaketPlCtr.ppk(paket.pkt_id, ang_id), class:"form-inline"}
        <div class="form-group row"><label>Berdasarkan K/L/PD:</label>
            #{selectInstansi 'instansis[]', arg: 'insId', value:insId/}
            #{filterButton title:'Filter'/}
            #{resetButton action:@nonlelang.PaketPlCtr.ppk(paket.pkt_id, ang_id), title:'reset'/}
        </div>
        #{/form}
    </div>
</div>
<div class="card card-default">
  <div class="card-header">Pilih PPK</div>
	<table class="table table-sm" id="tblppk">
	    <thead>
	    <tr>
	    	<th width="5" nowrap>ppk</th>
	        <th width="20%">NIP</th>        
	        <th>&{'paket.user_id'}</th>
	        <th>&{'paket.nama'}</th>
	        <th width="10">&{'paket.pilih'}</th>
	    </tr>
	    </thead>
	</table>
</div>
 #{backButton action:@nonlelang.PaketPlCtr.edit(paket.pkt_id) /}
</div>

#{form @nonlelang.PaketPlCtr.submit_ppk(paket.pkt_id, llsId, ang_id), id:'formPPK'}
<input type="hidden" name="ppkId" id="ppkId" />
#{/form}


#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
var table = $("#tblppk").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: "@{DataTableCtr.ppkPl(paket?.pkt_id,insId)}",
        columns: [{visible:false}, null,null,null, {render: function (data, type, row){
        var reasonUrl = '@{nonlelang.PaketPlCtr.alasanGantiPpk(paket.pkt_id,oldPpkId,llsId,insId,ang_id)}';
            return '<div class="text-center"><a href="'+reasonUrl+'" class="badge  badge-secondary dialog pilihFlag43" value="'+row[0]+'">Pilih</a></div>';
        }}]
    });
    $('#tblppk_filter input').unbind();
        $('#tblppk_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
$(document).on("click", ".pilihFlag43", function(){
    var ppkId = $(this).attr('value');
    var url = $(this).attr('href');

    url = url + '&ppkId='+ppkId;
    $(this).attr('href',url);

    return true;
})
</script>
#{/set}